org.apache.synapse.securevault.secret

## Class SecretManager

- java.lang.Object
- - org.apache.synapse.securevault.secret.SecretManager

-     public class SecretManager
      extends Object

  Entry point for manage secrets

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getEncryptedData(String alias)` Returns the encrypted value corresponding to the given alias name
    `static SecretManager` | `getInstance()`
    `String` | `getSecret(String alias)` Returns the secret corresponding to the given alias name
    `void` | `init(Properties properties)` Initializes the Secret Manager by providing configuration properties
    `boolean` | `isInitialized()`
    `void` | `shoutDown()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static SecretManager getInstance()

    - #### init

          public void init(Properties properties)

      Initializes the Secret Manager by providing configuration properties
      Parameters:
        `properties` - Configuration properties

    - #### getSecret

          public String getSecret(String alias)

      Returns the secret corresponding to the given alias name
      Parameters:
        `alias` - The logical or alias name
      Returns:
        If there is a secret , otherwise , alias itself

    - #### getEncryptedData

          public String getEncryptedData(String alias)

      Returns the encrypted value corresponding to the given alias name
      Parameters:
        `alias` - The logical or alias name
      Returns:
        If there is a encrypted value , otherwise , alias itself

    - #### isInitialized

          public boolean isInitialized()

    - #### shoutDown

          public void shoutDown()

Copyright © 2005–2019 Apache Software Foundation. All rights reserved.